VayuDocumentationIntegrationsAPI ReferenceChange Log
SupportGet started now
API EndpointsCustomers

Get customer by integration id

Use this endpoint to get a specific customer using its integration provider and identifier.

GET
/customers/integration/{integrationType}/{integrationId}

Authorization

BearerAuthorizer
AuthorizationBearer <token>

In: header

Path Parameters

integrationType*string
integrationId*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/customers/integration/Hubspot/string"
{  "customer": {    "name": "string",    "aliases": [],    "contacts": [      {        "name": "string",        "email": "string",        "title": "string",        "phone": "string",        "receiveInvoiceEmail": true      }    ],    "source": "Stripe",    "legalName": "string",    "taxIds": [],    "externalIntegration": [      {        "type": "NetSuite",        "id": "string",        "name": "string"      }    ],    "taxId": "string",    "cloudProviderSettings": {      "cloudProvider": "AWS",      "cloudProviderMarketplaceId": "string",      "customerIdentifier": "string"    },    "externalId": "string",    "customerErpId": "string",    "address": {      "country": "string",      "city": "string",      "addressText": "string",      "state": "string",      "postalCode": "string"    },    "salesForceAccountId": "string",    "dueDays": "END_OF_MONTH",    "currency": "USD",    "customFields": [      {        "integrationSource": "NetSuite",        "integrationEntityType": "Account",        "fieldPath": "string",        "vayuCustomFieldName": "string",        "valueType": "String",        "value": null      }    ],    "subsidiary": "string",    "totalOutstandingAmount": 0,    "openAmount": 0,    "overdueAmount": 0,    "pendingPaymentAmount": 0,    "paidAmount": 0,    "id": "string",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  }}
{  "type": "invalid_request_error",  "code": "string",  "message": "string",  "param": "string",  "params": [    {      "param": "string",      "message": "string"    }  ]}
{  "type": "authentication_error",  "code": "authentication_failed",  "message": "string"}
{  "type": "invalid_request_error",  "code": "resource_not_found",  "message": "string"}
{  "type": "rate_limit_error",  "code": "rate_limit_exceeded",  "message": "string"}
{  "type": "api_error",  "code": "internal_error",  "message": "string"}